# AccountOffersResponse | xrpl
Documentation for xrpl

# Interface AccountOffersResponse

Response expected from an AccountOffersRequest.

#### Hierarchy

- BaseResponse
  - AccountOffersResponse

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:73

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
account: string;
ledger_current_index?: number;
ledger_hash?: string;
ledger_index?: number;
marker?: unknown;
offers?: AccountOffer [];
}

#### Type declaration

- ##### account: string

  Unique Address identifying the account that made the offers.

- ##### `Optional` ledger_current_index?: number

  The ledger index of the current in-progress ledger version, which was used when retrieving this data.

- ##### `Optional` ledger_hash?: string

  The identifying hash of the ledger version that was used when retrieving this data.

- ##### `Optional` ledger_index?: number

  The ledger index of the ledger version that was used when retrieving this data, as requested.

- ##### `Optional` marker?: unknown

  Server-defined value indicating the response is paginated. Pass this to the next call to resume where this call left off. Omitted when there are no pages of information after this one.

- ##### `Optional` offers?: AccountOffer []

  Array of objects, where each object represents an offer made by this account that is outstanding as of the requested ledger version. If the number of offers is large, only returns up to limit at a time.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/accountOffers.ts:74

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc